import cirq
import numpy as np

QUBIT_ORDER = [
    cirq.GridQubit(1, 4),
    cirq.GridQubit(1, 6),
    cirq.GridQubit(2, 3),
    cirq.GridQubit(2, 4),
    cirq.GridQubit(2, 5),
    cirq.GridQubit(2, 6),
    cirq.GridQubit(3, 2),
    cirq.GridQubit(3, 3),
    cirq.GridQubit(3, 4),
    cirq.GridQubit(3, 5),
    cirq.GridQubit(4, 1),
    cirq.GridQubit(4, 2),
    cirq.GridQubit(4, 3),
    cirq.GridQubit(4, 4),
    cirq.GridQubit(5, 0),
    cirq.GridQubit(5, 1),
    cirq.GridQubit(5, 2),
    cirq.GridQubit(5, 3),
    cirq.GridQubit(6, 0),
    cirq.GridQubit(6, 1),
    cirq.GridQubit(6, 2),
    cirq.GridQubit(7, 1),
    cirq.GridQubit(2, 7),
    cirq.GridQubit(3, 6),
    cirq.GridQubit(3, 7),
    cirq.GridQubit(3, 8),
    cirq.GridQubit(4, 5),
    cirq.GridQubit(4, 6),
    cirq.GridQubit(4, 7),
    cirq.GridQubit(4, 8),
    cirq.GridQubit(5, 4),
    cirq.GridQubit(5, 5),
    cirq.GridQubit(5, 6),
    cirq.GridQubit(5, 7),
    cirq.GridQubit(6, 3),
    cirq.GridQubit(6, 4),
    cirq.GridQubit(6, 5),
    cirq.GridQubit(6, 6),
    cirq.GridQubit(7, 2),
    cirq.GridQubit(7, 3),
    cirq.GridQubit(7, 4),
    cirq.GridQubit(7, 5),
    cirq.GridQubit(8, 3),
    cirq.GridQubit(8, 4),
    cirq.GridQubit(9, 3),
    cirq.GridQubit(4, 9),
    cirq.GridQubit(5, 8),
    cirq.GridQubit(5, 9),
    cirq.GridQubit(5, 10),
    cirq.GridQubit(6, 7),
    cirq.GridQubit(6, 8),
    cirq.GridQubit(6, 9),
    cirq.GridQubit(6, 10),
    cirq.GridQubit(7, 6),
    cirq.GridQubit(7, 7),
    cirq.GridQubit(7, 8),
    cirq.GridQubit(7, 9),
    cirq.GridQubit(8, 5),
    cirq.GridQubit(8, 6),
    cirq.GridQubit(8, 7),
    cirq.GridQubit(8, 8),
    cirq.GridQubit(9, 4),
    cirq.GridQubit(9, 5),
    cirq.GridQubit(9, 6),
    cirq.GridQubit(9, 7),
    cirq.GridQubit(10, 4),
    cirq.GridQubit(10, 5),
    cirq.GridQubit(10, 6),
    cirq.GridQubit(11, 5),
]

CIRCUIT = cirq.Circuit(
    [
        cirq.Moment(
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.Y**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 5)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 7)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.2612955993283625).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.2612955993283634).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=2.7573953628787837).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-2.7573953628787837).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.7527342403892576).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.7527342403892576).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=3.065526104556402).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-3.065526104556402).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=1.4706641539637362).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.470664153963736).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=2.0728131138291523).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.0728131138291523).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-1.3042227832238922).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=1.3042227832238922).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=1.780950093726845).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-1.7809500937268445).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.8820361420801193).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.8820361420801195).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.8322400942425232).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.8322400942425232).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=2.0489589154904913).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.048958915490491).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-2.643747321285698).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=2.643747321285698).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=1.4135324809423206).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.4135324809423206).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-1.037807494727728).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=1.037807494727728).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18890261735140196).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17152387583679335).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21143593499023697).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21810512388860215).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19682242888186993).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1642090150154834).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19115970383629743).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19574503449006214).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2099465087307383).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(8, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20943306426986238).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20915572099920007).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1676477003865242).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18457626074614258).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(9, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1894634015183626).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(10, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.2612955993283634).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.2612955993283625).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-2.7573953628787837).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=2.7573953628787837).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.7527342403892576).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.7527342403892576).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-3.065526104556402).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=3.065526104556402).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-1.470664153963736).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.4706641539637362).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-2.0728131138291523).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.0728131138291523).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=1.3042227832238922).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-1.3042227832238922).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-1.7809500937268445).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=1.780950093726845).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.8820361420801195).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.8820361420801193).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.8322400942425232).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.8322400942425232).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-2.048958915490491).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.0489589154904913).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=2.643747321285698).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-2.643747321285698).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-1.4135324809423206).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.4135324809423206).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=1.037807494727728).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-1.037807494727728).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 1)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 6)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 3)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.771541609109379).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=0.771541609109379).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.2032511888347663).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-2.2032511888347592).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=2.2504474826126994).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-2.2504474826126994).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.9660963455598761).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-1.9660963455598761).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.8916450086190757).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=2.8916450086190775).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.528940758172995).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.528940758172995).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-1.3182276735159864).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=1.3182276735159864).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-2.2148149002754742).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=2.214814900275478).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-2.4537636246664647).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=2.4537636246664647).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=2.5836427638180375).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-2.5836427638180393).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.692681637493596).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.692681637493596).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-2.266359116174497).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=2.266359116174497).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-0.8325167062256719).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=0.8325167062256719).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.9217435956567552).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=2.9217435956567552).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=1.951127176432289).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-1.951127176432289).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-0.8625808576370031).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.8625808576370027).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-1.953808892576351).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=1.953808892576351).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.9721956888559582).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.9721956888559582).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=1.0127476300318996).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-1.0127476300319).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-0.39961322784459335).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=0.39961322784459335).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=1.5714941135130145).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.5714941135130145).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.6391914494693456).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.6391914494693456).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-2.6211283717333593).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.6211283717333593).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=3.0015701905103835).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-3.0015701905103835).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.27190850219588825).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-0.27190850219588825).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=2.189604863287496).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.189604863287496).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-1.8365677752521492).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.8365677752521492).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=0.263613376686866).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-0.263613376686866).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.723461741246993).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.723461741246993).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.6207838550491296).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.6207838550491296).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-1.2976195437809146).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=1.2976195437809146).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.6387633632719449).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-0.6387633632719449).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-0.8601795609021057).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.8601795609021075).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-1.0828454194636965).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=1.0828454194636983).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1991075344865802).on(
                cirq.GridQubit(1, 4), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.278863906543818).on(
                cirq.GridQubit(1, 6), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18874291924258013).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1741578283639313).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1573074150978243).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.16843528376889277).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1892314162607501).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19706081917445256).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21208225403319914).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(6, 0)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21729570994716024).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22031694067171556).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(7, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1880274314335533).on(
                cirq.GridQubit(2, 7), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20231637919169632).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2483274511608133).on(
                cirq.GridQubit(3, 8), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19520068637230154).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20712772617030242).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18708433205236347).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1929388422720038).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20030312213932958).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20773513077855016).on(
                cirq.GridQubit(6, 5), cirq.GridQubit(7, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20744024217608273).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19361360016668105).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(9, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18410984590037027).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(11, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2215544959498924).on(
                cirq.GridQubit(4, 9), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18242548153532667).on(
                cirq.GridQubit(5, 10), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1708402608578724).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2045230313886855).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1782350009252441).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21574817413367176).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20669377731840108).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.213392798553019).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.180832181230409).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(9, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20725101513973604).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(10, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19630953242723997).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(10, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.771541609109379).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-0.771541609109379).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.2032511888347592).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=2.2032511888347663).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-2.2504474826126994).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=2.2504474826126994).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.9660963455598761).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=1.9660963455598761).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.8916450086190775).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-2.8916450086190757).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.528940758172995).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.528940758172995).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=1.3182276735159864).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-1.3182276735159864).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=2.214814900275478).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-2.2148149002754742).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=2.4537636246664647).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-2.4537636246664647).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-2.5836427638180393).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=2.5836427638180375).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.692681637493596).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.692681637493596).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=2.266359116174497).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-2.266359116174497).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=0.8325167062256719).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-0.8325167062256719).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.9217435956567552).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-2.9217435956567552).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-1.951127176432289).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=1.951127176432289).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=0.8625808576370027).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.8625808576370031).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=1.953808892576351).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-1.953808892576351).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.9721956888559582).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.9721956888559582).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-1.0127476300319).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=1.0127476300318996).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=0.39961322784459335).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-0.39961322784459335).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-1.5714941135130145).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.5714941135130145).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.6391914494693456).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.6391914494693456).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=2.6211283717333593).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.6211283717333593).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=-3.0015701905103835).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=3.0015701905103835).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.27190850219588825).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=0.27190850219588825).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-2.189604863287496).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.189604863287496).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=1.8365677752521492).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.8365677752521492).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-0.263613376686866).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=0.263613376686866).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.723461741246993).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.723461741246993).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.6207838550491296).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.6207838550491296).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=1.2976195437809146).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-1.2976195437809146).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.6387633632719449).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=0.6387633632719449).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=0.8601795609021075).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.8601795609021057).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=1.0828454194636983).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-1.0828454194636965).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(10, 4)),
        ),
        cirq.Moment(
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 6)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 9)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 5)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 6)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(10, 4)),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.7423791619972846).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-0.7423791619972846).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=3.0158527926341954).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-3.0158527926341954).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-2.596785296185459).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=2.596785296185459).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.0347665664021903).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.0347665664021903).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.066223212558075).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-2.066223212558082).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-2.375609397570754).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=2.375609397570754).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-0.5152905473001219).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=0.515290547300129).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.30161456892249205).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.30161456892249205).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-0.8451255925379398).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.8451255925379364).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=2.30170675437779).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-2.30170675437779).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.513990402370748).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-1.513990402370755).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-0.7602522012169253).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.7602522012169324).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.5374551093344779).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.537455109334477).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-1.7133812084870608).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=1.7133812084870608).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-0.22081212426099125).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.22081212426098415).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=1.2048218823134675).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-1.2048218823134675).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.1312434860746343).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=2.1312434860746414).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.6883673758078883).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.6883673758078883).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-0.24114608136490645).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.24114608136491356).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-2.3844893477428393).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.3844893477428393).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-2.3627223157220527).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.3627223157220527).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.430426894542908).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-0.43042689454290617).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=0.7505138250897438).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-0.7505138250897367).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=1.156800334739767).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-1.1568003347397688).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=0.08524789605545102).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-0.08524789605545102).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.882658452841886).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-2.882658452841884).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=3.080849795720983).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-3.080849795720985).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=0.9877166127634602).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.9877166127634602).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.990692974388117).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-0.9906929743881178).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.189239360672011).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20708668208023692).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17951490294133365).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21406970138628956).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17245811241727238).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1790132121562053).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20164546002517517).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1819442135689241).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17886373365329).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20843000704550588).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18184312785253567).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21607619984263057).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20535008064020077).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20753321685135195).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2287621506399593).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2280205267828539).on(
                cirq.GridQubit(6, 5), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20841614832475067).on(
                cirq.GridQubit(7, 2), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18068087382924608).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(7, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21181891328843647).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18439623175385497).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(10, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20065412112076714).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2246697761209302).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.16542470391874103).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2329721092796212).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19693643092824709).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18436843864839964).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17589768395598604).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20005547877943522).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20413161904254268).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(9, 7)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.7423791619972846).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=0.7423791619972846).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-3.0158527926341954).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=3.0158527926341954).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=2.596785296185459).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-2.596785296185459).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.0347665664021903).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.0347665664021903).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.066223212558082).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=2.066223212558075).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=2.375609397570754).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-2.375609397570754).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=0.515290547300129).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-0.5152905473001219).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.30161456892249205).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.30161456892249205).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=0.8451255925379364).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.8451255925379398).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-2.30170675437779).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=2.30170675437779).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.513990402370755).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=1.513990402370748).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=0.7602522012169324).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.7602522012169253).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.537455109334477).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.5374551093344779).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=1.7133812084870608).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-1.7133812084870608).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=0.22081212426098415).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.22081212426099125).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-1.2048218823134675).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=1.2048218823134675).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.1312434860746414).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-2.1312434860746343).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.6883673758078883).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.6883673758078883).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=0.24114608136491356).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.24114608136490645).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=2.3844893477428393).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.3844893477428393).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=2.3627223157220527).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.3627223157220527).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.43042689454290617).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=0.430426894542908).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-0.7505138250897367).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=0.7505138250897438).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-1.1568003347397688).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=1.156800334739767).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-0.08524789605545102).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=0.08524789605545102).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.882658452841884).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=2.882658452841886).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-3.080849795720985).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=3.080849795720983).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-0.9877166127634602).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.9877166127634602).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.9906929743881178).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=0.990692974388117).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 4)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 6)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 10)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 7)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.9302818834483586).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.9302818834483586).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-0.8603513732050151).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=0.8603513732050168).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.2330983634806323).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.2330983634806252).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.43636549750119613).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.43636549750120324).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=3.0368933591533143).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-3.036893359153307).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.5100447032325519).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=0.5100447032325519).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=2.481230523715894).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.481230523715894).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.6777934735546438).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-1.6777934735546431).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=2.1121939732652706).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-2.1121939732652706).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-1.3983104172751872).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.3983104172751943).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.0671424509175509).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-1.0671424509175509).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.7992581301620056).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-2.7992581301619985).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=2.46335788962514).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.463357889625133).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.7454010153184993).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.7454010153184993).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-2.571673793954746).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.571673793954746).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=3.110674607986624).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-3.110674607986624).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2083255098924832).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(2, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1831333129652012).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18257395168837431).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2333924529679418).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23058984150420966).on(
                cirq.GridQubit(6, 0), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2167245753664896).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(3, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2195678600471277).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18989410490333997).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22395999558440083).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20357728485748755).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18337988955028933).on(
                cirq.GridQubit(10, 4), cirq.GridQubit(10, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2088995125267881).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(5, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19511590879204466).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2533981480080052).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18489628356989457).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1695628271074297).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(9, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.9302818834483586).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.9302818834483586).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=0.8603513732050168).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-0.8603513732050151).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.2330983634806252).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.2330983634806323).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.43636549750120324).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.43636549750119613).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-3.036893359153307).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=3.0368933591533143).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.5100447032325519).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-0.5100447032325519).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-2.481230523715894).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.481230523715894).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.6777934735546431).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=1.6777934735546438).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-2.1121939732652706).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=2.1121939732652706).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=1.3983104172751943).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.3983104172751872).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.0671424509175509).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=1.0671424509175509).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.7992581301619985).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=2.7992581301620056).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-2.463357889625133).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.46335788962514).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.7454010153184993).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.7454010153184993).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=2.571673793954746).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.571673793954746).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-3.110674607986624).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=3.110674607986624).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            (cirq.Y**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 3)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 6)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 7)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 6)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(11, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.8354344225327777).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=1.8354344225327817).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.4537296138582754).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-2.4537296138582683).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-0.5417719736197562).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=0.5417719736197562).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-0.15610749677475155).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=0.15610749677475155).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.603087867885275).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=2.6030878678852822).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.8925449995566338).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.8925449995566329).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-1.1747402889394856).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=1.1747402889394643).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.4742835691535366).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.4742835691535366).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-2.694355234875051).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=2.694355234875058).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=2.1704553938713467).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-2.1704553938713467).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.8663190578547209).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-1.8663190578547135).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-1.5103392296379816).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.5103392296379887).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.041194576760617).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.041194576760617).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=0.0523215735242779).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.0523215735242779).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=2.9074608974154224).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-2.9074608974154152).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.8719816941852478).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=0.8719816941852407).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.2552075362574477).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-2.2552075362574406).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=2.1545712577029867).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-2.1545712577029867).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=0.8138051665657892).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.813805166565796).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.15191941375240248).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=0.15191941375240248).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-2.1682624191184523).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.1682624191184594).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-1.2658948941890706).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.2658948941890706).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.9628935516138135).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=2.9628935516138206).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=0.06799087780880342).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-0.06799087780880342).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.8997690550478552).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.8997690550478552).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.0948966388364028).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-2.0948966388364063).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.6819399646598256).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=2.6819399646598256).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-0.2425083207295131).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.2425083207295131).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=2.8474301486875646).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-2.8474301486875646).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.189239360672011).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20708668208023692).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17951490294133365).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21406970138628956).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17245811241727238).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1790132121562053).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20164546002517517).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1819442135689241).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17886373365329).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20843000704550588).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18184312785253567).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21607619984263057).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20535008064020077).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20753321685135195).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2287621506399593).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2280205267828539).on(
                cirq.GridQubit(6, 5), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20841614832475067).on(
                cirq.GridQubit(7, 2), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18068087382924608).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(7, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21181891328843647).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18439623175385497).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(10, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20065412112076714).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2246697761209302).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.16542470391874103).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2329721092796212).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19693643092824709).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18436843864839964).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17589768395598604).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20005547877943522).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20413161904254268).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(9, 7)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.8354344225327817).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-1.8354344225327777).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.4537296138582683).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=2.4537296138582754).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=0.5417719736197562).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-0.5417719736197562).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=0.15610749677475155).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-0.15610749677475155).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.6030878678852822).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-2.603087867885275).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.8925449995566329).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.8925449995566338).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=1.1747402889394643).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-1.1747402889394856).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.4742835691535366).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.4742835691535366).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=2.694355234875058).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-2.694355234875051).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-2.1704553938713467).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=2.1704553938713467).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.8663190578547135).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=1.8663190578547209).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=1.5103392296379887).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.5103392296379816).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.041194576760617).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.041194576760617).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-0.0523215735242779).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.0523215735242779).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-2.9074608974154152).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=2.9074608974154224).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.8719816941852407).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-0.8719816941852478).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.2552075362574406).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=2.2552075362574477).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-2.1545712577029867).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=2.1545712577029867).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-0.813805166565796).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.8138051665657892).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.15191941375240248).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-0.15191941375240248).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=2.1682624191184594).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.1682624191184523).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=1.2658948941890706).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.2658948941890706).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.9628935516138206).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-2.9628935516138135).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-0.06799087780880342).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=0.06799087780880342).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.8997690550478552).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.8997690550478552).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.0948966388364063).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=2.0948966388364028).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.6819399646598256).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-2.6819399646598256).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=0.2425083207295131).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.2425083207295131).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-2.8474301486875646).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=2.8474301486875646).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.7645662164510085).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.7645662164510085).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-2.4954892894607212).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=2.4954892894607212).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=0.027022432042162592).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.027022432042155486).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-1.239578534386677).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=1.239578534386684).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.8108742944559033).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=0.8108742944559104).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.6391255426717422).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-0.6391255426717386).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=2.8167691107725226).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.8167691107725226).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.08954437039780672).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-0.08954437039780672).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=1.1023444113316039).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-1.102344411331611).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=3.093586391432421).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-3.093586391432442).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=0.5687316617084868).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-0.5687316617084868).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-0.060902167461133416).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.06090216746114052).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=3.110570836432327).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-3.11057083643232).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.3247742355161733).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.3247742355161698).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-2.960550719870181).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.9605507198701826).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=0.11195555076367114).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.11195555076367114).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2083255098924832).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(2, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1831333129652012).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18257395168837431).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2333924529679418).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23058984150420966).on(
                cirq.GridQubit(6, 0), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2167245753664896).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(3, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2195678600471277).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18989410490333997).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22395999558440083).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20357728485748755).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18337988955028933).on(
                cirq.GridQubit(10, 4), cirq.GridQubit(10, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2088995125267881).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(5, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19511590879204466).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2533981480080052).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18489628356989457).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1695628271074297).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(9, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.7645662164510085).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.7645662164510085).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=2.4954892894607212).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-2.4954892894607212).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-0.027022432042155486).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.027022432042162592).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=1.239578534386684).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-1.239578534386677).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.8108742944559104).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-0.8108742944559033).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.6391255426717386).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=0.6391255426717422).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-2.8167691107725226).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.8167691107725226).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.08954437039780672).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=0.08954437039780672).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-1.102344411331611).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=1.1023444113316039).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-3.093586391432442).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=3.093586391432421).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-0.5687316617084868).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=0.5687316617084868).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=0.06090216746114052).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.060902167461133416).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-3.11057083643232).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=3.110570836432327).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.3247742355161698).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.3247742355161733).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=2.9605507198701826).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.960550719870181).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-0.11195555076367114).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.11195555076367114).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.Y**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 0)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 2)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 6)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 7)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 9)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 10)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 8)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.34278956823536433).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=0.34278956823537143).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.0392346589634833).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.0392346589634904).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.2717113546679659).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.2717113546679659).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.19522274968212727).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.19522274968213438).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-1.1118933806439912).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.1118933806439912).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.345625887585026).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-0.3456258875850189).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.3583544353916217).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=0.3583544353916288).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-2.327075005026135).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=2.3270750050261384).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=0.6760028819226562).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-0.6760028819226598).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-1.0268842582687068).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=1.026884258268705).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=2.050402417113414).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.0504024171134176).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.2933041998024954).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.2933041998024741).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=2.1437461647926135).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.1437461647926064).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-0.19569492807397992).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.19569492807398703).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18890261735140196).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17152387583679335).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21143593499023697).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21810512388860215).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19682242888186993).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1642090150154834).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19115970383629743).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19574503449006214).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2099465087307383).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(8, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20943306426986238).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20915572099920007).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1676477003865242).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18457626074614258).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(9, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1894634015183626).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(10, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.34278956823537143).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-0.34278956823536433).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.0392346589634904).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.0392346589634833).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.2717113546679659).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.2717113546679659).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.19522274968213438).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.19522274968212727).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=1.1118933806439912).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.1118933806439912).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.3456258875850189).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=0.345625887585026).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.3583544353916288).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-0.3583544353916217).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=2.3270750050261384).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-2.327075005026135).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-0.6760028819226598).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=0.6760028819226562).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=1.026884258268705).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-1.0268842582687068).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-2.0504024171134176).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.050402417113414).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.2933041998024741).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.2933041998024954).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-2.1437461647926064).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.1437461647926135).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=0.19569492807398703).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.19569492807397992).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-2.1353193898999514).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=2.135319389899955).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.6726930616139946).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-2.672693061614016).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-2.1816646897740988).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=2.181664689774106).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.7287846968735998).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=1.7287846968736067).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=3.0949927315511836).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-3.0949927315511765).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.12418293787916923).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=0.12418293787916923).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=1.24359620011953).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-1.24359620011953).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-1.9487271152453935).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=1.9487271152453725).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-2.4327440501750353).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=2.4327440501750424).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-1.1969629217681792).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=1.1969629217681863).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=1.7163757906911066).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-1.7163757906911066).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-1.4371575988114706).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=1.4371575988114635).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.467741223656983).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-1.4677412236569758).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=1.3642976611186306).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-1.3642976611186235).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.237512081069017).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=0.2375120810690241).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=1.7007245009830072).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.7007245009830072).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-2.525628107837374).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=2.525628107837381).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.4524006166625761).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.45240061666259734).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-0.902963522635117).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.902963522635117).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-2.5156443546231166).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=2.5156443546231237).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=0.10188176236468394).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-0.10188176236468394).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.5312862416813466).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.5312862416813395).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=2.568616956512944).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.568616956512937).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=-0.940218875958731).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=0.9402188759587241).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-2.4824768990715818).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=2.482476899071589).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=0.6367015486505458).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-0.6367015486505672).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-1.902784672052558).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.9027846720525652).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.3484475082421064).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.348447508242085).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.8103690943691966).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.810369094369218).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=0.028965567423430375).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-0.028965567423423266).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-0.21771943745779157).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=0.21771943745779862).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=1.8226340405873278).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-1.8226340405873351).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-2.2135094271000817).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=2.213509427100089).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=2.886763506471045).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-2.8867635064710377).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1991075344865802).on(
                cirq.GridQubit(1, 4), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.278863906543818).on(
                cirq.GridQubit(1, 6), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18874291924258013).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1741578283639313).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1573074150978243).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.16843528376889277).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1892314162607501).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19706081917445256).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21208225403319914).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(6, 0)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21729570994716024).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22031694067171556).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(7, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1880274314335533).on(
                cirq.GridQubit(2, 7), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20231637919169632).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2483274511608133).on(
                cirq.GridQubit(3, 8), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19520068637230154).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20712772617030242).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18708433205236347).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1929388422720038).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20030312213932958).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20773513077855016).on(
                cirq.GridQubit(6, 5), cirq.GridQubit(7, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20744024217608273).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19361360016668105).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(9, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18410984590037027).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(11, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2215544959498924).on(
                cirq.GridQubit(4, 9), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18242548153532667).on(
                cirq.GridQubit(5, 10), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1708402608578724).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2045230313886855).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1782350009252441).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21574817413367176).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20669377731840108).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.213392798553019).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.180832181230409).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(9, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20725101513973604).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(10, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19630953242723997).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(10, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=2.135319389899955).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-2.1353193898999514).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.672693061614016).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=2.6726930616139946).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=2.181664689774106).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-2.1816646897740988).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.7287846968736067).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-1.7287846968735998).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-3.0949927315511765).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=3.0949927315511836).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.12418293787916923).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-0.12418293787916923).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-1.24359620011953).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=1.24359620011953).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=1.9487271152453725).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-1.9487271152453935).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=2.4327440501750424).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-2.4327440501750353).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=1.1969629217681863).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-1.1969629217681792).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-1.7163757906911066).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=1.7163757906911066).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=1.4371575988114635).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-1.4371575988114706).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.4677412236569758).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=1.467741223656983).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-1.3642976611186235).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=1.3642976611186306).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.2375120810690241).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-0.237512081069017).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-1.7007245009830072).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.7007245009830072).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=2.525628107837381).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-2.525628107837374).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.45240061666259734).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.4524006166625761).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=0.902963522635117).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.902963522635117).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=2.5156443546231237).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-2.5156443546231166).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-0.10188176236468394).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=0.10188176236468394).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.5312862416813395).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.5312862416813466).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-2.568616956512937).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.568616956512944).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=0.9402188759587241).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-0.940218875958731).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=2.482476899071589).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-2.4824768990715818).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-0.6367015486505672).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=0.6367015486505458).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=1.9027846720525652).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.902784672052558).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.348447508242085).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.3484475082421064).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.810369094369218).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.8103690943691966).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-0.028965567423423266).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=0.028965567423430375).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=0.21771943745779862).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-0.21771943745779157).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-1.8226340405873351).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=1.8226340405873278).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=2.213509427100089).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-2.2135094271000817).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-2.8867635064710377).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=2.886763506471045).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 4)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 5)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 5)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 4)),
        ),
    ]
)

